Name: kpcontrol
Version: 1.0
Release: %mkrel 4
Summary: Parental Control Application for KDE3
Group: Graphical desktop/KDE
Source0: %{name}-%{version}.tar.bz2
Patch0: kpcontrol-1.0-proxyuser.patch
Patch1: kpcontrol-1.0-stopproxy.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: kdelibs-common
BuildRequires: libxext-devel
BuildRequires: libpam-devel
BuildRequires: qt3-devel
BuildRequires: kdelibs-devel
BuildRequires: kde3-macros
Requires: dansguardian
Requires: tinyproxy
Requires(post): tinyproxy
 

%description
Parental Control Application for KDE3

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .proxyuser
%patch1 -p0 -b .stopproxy

%build
cd kpctrl
%configure_kde3
%make

%install
DESTDIR=%{buildroot} ./install.sh
touch %{buildroot}%{_sysconfdir}/pcontrol/pcontrol.d/dummy
mv %{buildroot}%{_sysconfdir}/tinyproxy/tinyproxy.conf %{buildroot}%{_sysconfdir}/tinyproxy/tinyproxy-kpctrl.conf
rm -f %{buildroot}%{_sysconfdir}/init.d/tinyproxy                                          
rm -f %{buildroot}%{_sysconfdir}/dansguardian/dansguardian.conf

cd kpctrl
%makeinstall_std
ln -sf consolehelper %{buildroot}%{_bindir}/kpctrl
ln -sf mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/kpctrl

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
	cp -f %{_sysconfdir}/tinyproxy/tinyproxy-kpctrl.conf %{_sysconfdir}/tinyproxy/tinyproxy.conf
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.d/pcontrol                                           
%{_sysconfdir}/init.d/pcontrol                                           
%{_sysconfdir}/pam.d/kpctrl_root
%{_sysconfdir}/pam.d/kpctrl
%{_sysconfdir}/pcontrol/appctl.conf                                      
%{_sysconfdir}/pcontrol/filter.conf                                      
%{_sysconfdir}/pcontrol/libpcontrol                                      
%dir %{_sysconfdir}/pcontrol/pcontrol.d
%{_sysconfdir}/pcontrol/pcontrol.d/dummy
%{_sysconfdir}/tinyproxy/tinyproxy-kpctrl.conf                                  
%{_sysconfdir}/security/console.apps/kpctrl
%{_kde3_bindir}/kpctrl                                           
%{_kde3_datadir}/applnk/Utilities/kpctrl.desktop                
%{_kde3_docdir}/HTML/en/kpctrl/common                      
%{_kde3_docdir}/HTML/en/kpctrl/index.cache.bz2             
%{_kde3_docdir}/HTML/en/kpctrl/index.docbook
%{_kde3_datadir}/icons/hicolor/16x16/apps/kpctrl.png
%{_kde3_datadir}/icons/hicolor/32x32/apps/kpctrl.png
%{_kde3_datadir}/locale/pt_BR/LC_MESSAGES/kpctrl.mo
%{_bindir}/blockedmsg
%{_bindir}/kpctrl
%{_sbindir}/kpctrl
%{_sbindir}/pcontrol
%{_sbindir}/pcontrol-fw.sh
%{_datadir}/applications/kpctrl.desktop
%{_datadir}/icons/crystalsvg/32x32/apps/userconfig.png


%changelog
* Fri Dec 05 2008 Arthur Renato Mello <arthur@mandriva.com> 1.0-4mdv2009.1
+ Revision: 310745
- Increased release
- Changed path for blocked sites and blocked words

* Thu Nov 20 2008 Arthur Renato Mello <arthur@mandriva.com> 1.0-3mdv2009.1
+ Revision: 305257
- Add stopproxy patch from Caio

* Wed Nov 19 2008 Olivier Blin <oblin@mandriva.com> 1.0-2mdv2009.1
+ Revision: 304617
- make sure custom dansguardian file is not packaged
- fix proxy users
- add dummy pcontrol.d file (from Caio, should be upstream maybe)
- package /etc/pcontrol/pcontrol.d (from Caio)

* Fri Nov 14 2008 Arthur Renato Mello <arthur@mandriva.com> 1.0-1mdv2009.1
+ Revision: 303288
- Add libpam-devel as a BuildRequire
- import kpcontrol


